include(FetchContent)

if(NOT DEFINED TRACY_REPO)
    set(TRACY_REPO https://github.com/wolfpld/tracy.git)
endif ()

FetchContent_Declare (
        tracy
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${TRACY_REPO}
        GIT_TAG v0.10
        GIT_SHALLOW TRUE
        GIT_PROGRESS TRUE
)
FetchContent_MakeAvailable (tracy)